//
//  UIBarButtonItem+Block.h
//  SYBarButtonItemBlock
//
//  Created by syihh on 16/5/20.
//  Copyright © 2016年 syinn. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void (^ActionBlock)();


@interface UIBarButtonItem (Block)

/**
 *  UIBarButtonItem点击事件block,只能放图片/文字,别的类型出错
 *
 *  @param content  图片/文字 别的类型出错
 *  @param action block 代码
 *
 */
- (UIBarButtonItem *)SYInitWithContent:(id)content ClickBlock:(ActionBlock)clickBlcok;






@end
