//
//  UIBarButtonItem+Block.m
//  SYBarButtonItemBlock
//
//  Created by syihh on 16/5/20.
//  Copyright © 2016年 syinn. All rights reserved.
//

#import "UIBarButtonItem+Block.h"
#import <objc/runtime.h>

static char *overViewKey;

@implementation UIBarButtonItem (Block)


- (UIBarButtonItem *)SYInitWithContent:(id)content ClickBlock:(ActionBlock)clickBlcok{

    objc_setAssociatedObject(self, &overViewKey, clickBlcok, OBJC_ASSOCIATION_COPY_NONATOMIC);
    
    [self setStyle:UIBarButtonItemStyleDone];
    [self setTarget:self];
    [self setAction:@selector(click)];
    
    if ([content isKindOfClass:[UIImage class]]) {
        [self setImage:content];
    }else if ([content isKindOfClass:[NSString class]]){
        [self setTitle:content];
    }else{
        [self setTitle:@"!错!误!"];
    }
    
    return self;
}




-(void)click{
    
    ActionBlock blockClick = objc_getAssociatedObject(self, &overViewKey);
    if (blockClick != nil){
        blockClick();
    }
}
























@end
